Bug 93361 - [MAINTAINER] mail/dspam: update to 3.6.4 and various fixes.
Summary: [MAINTAINER] mail/dspam: update to 3.6.4 and various fixes.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-14 22:00 UTC by Ion-Mihai " IOnut " Tetcu
Modified: 2006-02-17 16:50 UTC (History)
0 users

See Also:


Attachments
dspam-3.6.3_to_3.6.4.diff (12.06 KB, patch)
2006-02-14 22:00 UTC, Ion-Mihai " IOnut " Tetcu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ion-Mihai " IOnut " Tetcu 2006-02-14 22:00:18 UTC

Update to stable 3.6.4 release [1]:
======================

Port changes:
- Drop NEURAL_NET (removed upstream) and TRAIN_SCRIPT (now always 
installed and depend on PERL5 for it).
- Fix removal of EXAMPLESDIR on pkg-plist [2]
- Fix spelling in pkg-message and UPDATING
- Some Makefile cleanup
- drop RC_SUFX in Makefile, USE_RC_SUBR= ${PORTNAME} [3] and move 
files/dspam.sh.in ---> files/dspam.in [4] 

Note: 
	Ideally [4] should be a repo-copy, but just use 'cvs rm' and 'add' 
	if the repo-copy means waiting to much.


BugFixes:
- accuracy fixes (esp. for FP dspam is much better that in 3.6.3 release)
- safeguards for segfault when strange clamav behavior
- for no output when using --classify in client/server mode
- LOG_WARNING if truncating MySQL user/pass + plus othersmall fixes

New features:
- dspam_train: a true training and testing mechanism, useful for building
pretrained databases or training a user with their own corpus. also provides
a test jig for measuring efficiency/accuracy with a corpus over a
configuration; support for training using an index file to define the order
of ham/spam
- DeliveryHost for delivery to different hosts based on domain
- ClassAlias options, useful if classifying things other than spam
- WebUI: undo option for retraining
- WebUI: support for existing storeFragments option to recall message in
history
- WebUI: mass-retraining option
- Documentation: of all user preferences in the README

Changed features:
- dspam-statrs: changed names; now displays TP (true positives),
TN (true negatives), FN (false negatives), and FP (false positives),
OCA (Overall Accuracy)
- dspam_corpus now uses default settings for features and training modes,
instead of its own and now requires --spam or --nonspam arguments
- the trainining buffer (Feature tb=n in dspam.conf) is now offby default
- dspam.conf: HashRec sizes prime numbers for better spread
- no signature on classify
- ignore X-DSPAM-* in tokenizer code

Removed features:
- removed neural networking (NEURAL_NET), which was experimental, needed a
rewrite, had no support and high maintenance


Obtained from:		garga via mail/dspam-devel [2]
Requested by:		dougb [3]
Tested on	:		tinderbox-2.2.1_2 on 6-STABLE [1]
Comment 1 Renato Botelho freebsd_committer 2006-02-15 09:32:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 2 Renato Botelho freebsd_committer 2006-02-15 12:01:18 UTC
State Changed
From-To: open->feedback

Seems the tarball was rerolled, could you investigate what changes? 

=> Attempting to fetch from http://dspam.irontec.com/sources/. 
fetch: http://dspam.irontec.com/sources/dspam-3.6.4.tar.gz: size mismatch: expected 743467, actual 743664
Comment 3 Renato Botelho freebsd_committer 2006-02-17 16:50:40 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!